LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbcx::CheckOption Constant Group Referencepublished

determines the check option for a view. More...

## Variables
const long | NONE = 0
| indicates that no value checking is applied during updates of view data. More...
const long | CASCADE = 2
| indicates that the value checking is applied for the view and all base views. More...
const long | LOCAL = 3
| indicates that the value checking is applied only for the view. More...

## Detailed Description

determines the check option for a view.

## Variable Documentation

## ◆ CASCADE

const long CASCADE = 2

indicates that the value checking is applied for the view and all base views.

## ◆ LOCAL

const long LOCAL = 3

indicates that the value checking is applied only for the view.

## ◆ NONE

const long NONE = 0

indicates that no value checking is applied during updates of view data.